<template>
  <div id="diveBubblesControler">
    <div>
      <input
        class="input"
        type="range"
        value="90"
        v-model="inputNumber"
        oninput="this.nextElementSibling.value = this.value"
        @keydown.enter="getBubbleQuantity"
      />
      <div></div>
      <label v-on:click="getBubbleQuantity">
        <button>Get {{ inputNumber }} Bubble</button>
      </label>
      <div class="title dynamic-title">
        <span>You choose {{ inputNumber }} Bubble</span>
        <div></div>
        <div
          v-for="item in numberOfShowedBubbles"
          :key="item"
          :v-if="item % 2 == 0"
          :class="[`bubbleAll bubbleEven-- : bubbleEven--${item}`]"
          class="[`bubbleAll bubbleOdd-- : bubbleOdd--${item}`]"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "diveBubblesControler",
  props: {
    value: {
      type: String,
      default: "",
    },
  },

  data() {
    return {
      inputNumber: 0,
      numberOfShowedBubbles: 0,
      bubblequantitys: [],
    };
  },

  // check if the result of inputNumber is a number
  methods: {
    getBubbleQuantity() {
      const inputNumber = this.inputNumber.trim();
      if (inputNumber) {
        this.bubblequantitys.push();
      }
      this.numberOfShowedBubbles = parseInt(inputNumber, 10);
      this.makebubbles();
    },
    makebubbles() {
      console.log("call-make-bubbles: " + this.numberOfShowedBubbles);
    },
  },
};
</script>
